<div class="input-picture-selector" ...attributes {{did-insert this.setup}} {{did-update this.setup @id}}>
  <div class="picture-frame" {{on "click" this.selectPicture}}>
    {{#if this.picture}}
      {{!-- template-lint-disable require-valid-alt-text --}}
      <img src={{this.src}} />
    {{/if}}
  </div>

  <div class="btn-group mt-1 d-flex w-100" role="group">
    <button type="button" class="btn btn-primary flex-grow-1" {{on "click" this.selectPicture}}>{{t "select"}}</button>
    <button type="button" class="btn btn-danger flex-grow-0" {{on "click" this.removePicture}}>
      <FaIcon @icon="trash" />
    </button>
  </div>

  {{!-- template-lint-disable no-at-ember-render-modifiers --}}
  {{!-- template-lint-disable require-input-label --}}
  <input {{did-insert this.inputInserted}} {{on "change" this.fileSelected}} type="file" accept="image/*;capture=camera"
    class="d-none input-picture" />
</div>